//gera.cpp
//gera elipses e retangulos 
#include <cekeikon.h>

int main() {
  RNG rng(7);
  int n=200;
  
  for (int i=0; i<n; i++) {
    GRY corfundo=rng(256);
    GRY corelipse=rng(256);
    while (abs(corfundo-corelipse)<50)
      corelipse=rng(256);
    Mat_<GRY> a(32,32,corfundo);
    int tamx=a.cols/8+rng(a.cols/4);
    int tamy=a.rows/8+rng(a.rows/4);
    ellipse(a,Point(a.cols/2,a.rows/2),Size(tamx,tamy),
            0,0,360,toScalar(corelipse),-1);
    for (unsigned i=0; i<a.total(); i++)
      a(i) = saturate_cast<GRY>(a(i) + rng.gaussian(8));
    imp(a,format("eli%03d.png",i));
  }  

  for (int i=0; i<n; i++) {
    GRY corfundo=rng(256);
    GRY corret=rng(256);
    while (abs(corfundo-corret)<50)
      corret=rng(256);
    Mat_<GRY> a(32,32,corfundo);
    int tamx=a.cols/8+rng(a.cols/4);
    int tamy=a.rows/8+rng(a.rows/4);
    int centrox=a.cols/2;
    int centroy=a.rows/2;
    rectangle(a,Point(centrox-tamx,centroy-tamy),Point(centrox+tamx,centroy+tamy),
              toScalar(corret),-1);
    for (unsigned i=0; i<a.total(); i++)
      a(i) = saturate_cast<GRY>(a(i) + rng.gaussian(8));
    imp(a,format("ret%03d.png",i));
  }  
}
